<!DOCTYPE html><!-- Tells browser HTML5 is used-->

<html>

<head>
    <title>BootStrap</title>

    <!--
       What is The Viewport?
The viewport is the user's visible area of a web page.

The viewport varies with the device, and will be smaller on a mobile phone than on a computer screen.

This gives the browser instructions on how to control the page's dimensions and scaling.

The width=device-width part sets the width of the page to follow the screen-width of the device (which will vary depending on the device).

The initial-scale=1.0 part sets the initial zoom level when the page is first loaded by the browser.
   -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous" />
    <link href="bootstrap.css" rel="stylesheet" />
</head>

<body>

    <!--
        Deconstructing the Navbar classes
Let’s take a look at the Bootstrap classes of the <nav> element

navbar - necessary wrapper class for navigation bars

bg-dark - sets a dark background to the navigation bar

navbar-dark - sets the text to whitish color to suit the dark background.

The color gets applied only for elements with certain bootstrap classes eg: nav-link
navbar-expand-sm - sets the navigation bar links to display expanded (i.e, links on same line) on 
"small" devices (we’ll see what “small” device size means shortly)

Otherwise the links display on multiple lines


Other classes involved are

navbar-brand - can be used to highlight company/brand/project text or link

navbar-nav, nav-item, nav-link are classes used to add style to the list elements.

They also ensure the links get the styles set by the navbar-dark and navbar-expand-sm classes.
    -->

    <nav class="navbar bg-dark navbar-dark navbar-expand-sm">

        <div class="navbar-brand">Learn Bootstrap by doing!</div>


        <div id="collapsibleNavbar">

            <ul class="navbar-nav">

                <li class="nav-item">

                    <a class="nav-link" href="#">HTML</a>

                </li>

                <li class="nav-item">

                    <a class="nav-link" href="#">CSS</a>

                </li>

            </ul>

        </div>

        <!--
            The collapse class hides the content of its <div> element (links) and navbar-collapse adds functionality to toggle display of the links when the toggle icon is clicked.

You’ll see the links disappear on a smaller screen size on adding these classes.

The span element inside the button you added creates the toggle icon as the navbar-toggler-icon class is used

Based on where you added the button, you’ll see the toggle icon on the left or the right on a smaller screen size.

To view it on the right, add it after the <div class="navbar-brand"> element, otherwise add it before.

Let’s briefly look at the HTML attributes we set for the button

class="navbar-toggler" - works along with the collapse class to hide an element and show the toggle button instead

type="button" - creates a button with no default behaviour when clicked. See other types here

data-bs-toggle="collapse" and data-bs-target="#collapsibleNavbar" - makes content of the <div class="collapse" id="collapsibleNavbar"> element collapse to the button on smaller screens.

The value of the "data-bs-target" attribute is “#” followed by the id of the <div> element to hide, “collapsibleNavbar” (Remember we use # for id selectors, right?
        -->
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#collapsibleNavbar">

            <span class="navbar-toggler-icon"></span>

        </button>

    </nav>


    <div class="container">
        <div class="alert alert-primary">

            Creates an alert banner with a nice color and rounded edges
            For Bootstrap info see bootstrapCss file there I have made some notes
            for referance


        </div>
        <!--  On a device of width 767px

        The navigation bar shows the links on the same line (expanded) with navbar-expand-sm

        The navigation bar stacks on multiple lines with navbar-expand-md-->
        <img src="bootstrap1.png" style="width:1000px;">
    </div>

    <!--
        Though we added the required Bootstrap classes to display the toggle icon and hide the links on smaller screen sizes, the toggle icon won’t expand to display the hidden links on clicking.

For more complex user behaviours like changing the structure of elements shown on page, we’ll need more than just HTML and CSS!

You’ll find here in the Bootstrap intro documentation that we’re supposed to add a <script> element to import JavaScript files required by Bootstrap.

    Clicking on the toggle icon will show its contents after adding the JavaScript files. Clicking again will hide it, hence the name "toggle".
    -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>
</body>


</html>
</pre>